Interface DeviceClient<T>
- All Superinterfaces:
Pageable<T>
- All Known Implementing Classes:
DeviceClientImpl
- Author:
- ianjones
-
Method Summary
Modifier and TypeMethodDescriptionaddACL(String uuid, DeviceACLRequest deviceACLRequest, String accountUcmId) create(DeviceCreatorJson deviceCreatorJson, Boolean draft) createRMA(String uuid, DeviceRMARequest deviceRMARequest) delete(String uuid, DeviceDeleteRequest request) getInterfaceStatistics(String uuid, String interfaceId, Instant startDateTime, Instant endDateTime) list(RequestBuilder.Device requestBuilder) listDownloadableImages(String deviceType) listInterfaces(String uuid) listReloadHistory(String uuid) listUpgradeHistory(String uuid) postLicenseFile(MetroCode metroCode, String deviceTypeCode, LicenseType licenseType, String fileContents) postLicenseFile(String deviceUuid, String fileContents) requestImageDownload(String deviceType, String version) restore.softReboot(String uuid) update(String uuid, DeviceUpdaterJson deviceUpdaterJson) updateACL(String uuid, DeviceACLRequest deviceACLRequest, String accountUcmId) updateAdditionalBandwidth(String uuid, Integer additionalBandwidth) updateLicenseToken(String deviceUuid, String licenseToken)
-
Method Details
-
list
-
getByUuid
-
listInterfaces
-
getAllowedInterfaces
-
listReloadHistory
- Parameters:
uuid- the device uuid.
-
listUpgradeHistory
- Parameters:
uuid- the device uuid.
-
getInterfaceStatistics
InterfaceStats getInterfaceStatistics(String uuid, String interfaceId, Instant startDateTime, Instant endDateTime) - Parameters:
uuid- the device uuid.interfaceId- the interface id.startDateTime- the start of the stats window (ISO-8601), ornull.endDateTime- the end of the stats window (ISO-8601), ornull.
-
listDownloadableImages
- Parameters:
deviceType- the device type code.
-
requestImageDownload
- Parameters:
deviceType- the device type code.version- the device version.
-
restore
restore. Restores the backup identified by
backupUuid. Per the spec the backup name is required in the request body.- Parameters:
backupUuid- the unique identifier of the backup to restore.backupName- the name of the backup (DeviceBackupUpdateRequest.name).
-
updateAdditionalBandwidth
-
softReboot
-
createRMA
-
getACL
-
addACL
-
updateACL
-
ping
-
postLicenseFile
String postLicenseFile(MetroCode metroCode, String deviceTypeCode, LicenseType licenseType, String fileContents) -
postLicenseFile
-
updateLicenseToken
-
create
-
update
-
delete
-
delete
-
refresh
-